# $Revision: 1.32 $, $Date: 2012/01/11 20:24:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Array
%define		pnam	Compare
Summary:	Array::Compare - Perl extension for comparing arrays
Summary(pl.UTF-8):	Array::Compare - rozszerzenie Perla do porównywania tablic
Name:		perl-Array-Compare
Version:	2.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Array/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a1e5f3bc8a2dd4a27f65890a7c45dd05
URL:		http://search.cpan.org/dist/Array-Compare/
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Moose
BuildRequires:	perl-Test-NoWarnings
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have two arrays and you want to know if they are the same or
different, then Array::Compare Perl module will be useful to you.

%description -l pl.UTF-8
Moduł Perla Array::Compare jest przeznaczony dla posiadaczy dwóch
tablic, którzy chcieliby wiedzieć czy są one identyczne, czy różne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Array/Compare.pm
%{_mandir}/man3/Array::Compare.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Array-Compare.spec,v $
Revision 1.32  2012/01/11 20:24:40  zbyniu
- up to 2.02

Revision 1.31  2011/03/05 19:33:52  qboosh
- BR: perl-Moose

Revision 1.30  2009/09/06 16:59:06  amateja
- updated to 2.01

Revision 1.29  2009/06/15 08:58:08  amateja
- updated to 1.17

Revision 1.28  2007/05/27 12:20:52  agaran
- up to 1.14, rel 1, builds here

Revision 1.27  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.25  2006/12/22 09:20:26  qboosh
- generic URL

Revision 1.24  2005/11/04 09:44:21  czucz
- updated to 1.13

Revision 1.23  2004/11/03 19:42:57  paladine
- formatting

Revision 1.22  2004/11/01 18:43:23  adamg
- updated to 1.11

Revision 1.21  2004/10/24 11:20:12  blaass
- updated to 1.10

Revision 1.20  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.19  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.18  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/02 22:25:48  ankry
- summary/desc

Revision 1.16  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.15  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.14  2003/10/12 12:53:43  migo
- up to 0.09
- switch to Module::Build
- new bcond style

Revision 1.13  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:26:00  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/12/28 16:29:59  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.5  2002/12/03 21:34:40  ankry
- cleaning

Revision 1.4  2002/08/03 11:26:14  ankry
- moved %%{perl_sitelib}/auto/Array dir to perl
- test on BCond
- cleaning
- release 3

Revision 1.3  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.2  2002/07/24 00:14:51  ankry
- add %%dir %{perl_sitelib}/auto/Array dir
- remove unnecessary macros
- release 2

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
